%define version 4.06
%define release 1mdk

Summary:	A program to typeset music scores into Postscript
Name:		pmw
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Publishing
URL:		http://www.quercite.com/pmw.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:		%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-buildfix.patch.bz2

%description
Philip's Music Writer is a program for typesetting music. It reads text files
as input, and generates PostScript as output. It can also write simple MIDI
files for proofhearing purposes. PMW is written in C and is freestanding; that
is, it does not require additional processing software. It is a Linux/Unix
port of a program that has run for over a decade on Acorn systems, where it
was known as Philip's Music Scribe.

%prep
%setup -q
%patch -p1 -b .buildfix

%build
%configure
%make
make test

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	DATADIR=$RPM_BUILD_ROOT%{_datadir}/pmw \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

rm -rf examples
mkdir examples
cp testdist/infiles/* examples/

# link fonts to ghostscript dir
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ghostscript/Resource/Font
ln -s ../../../pmw/psfonts/PMW-Alpha $RPM_BUILD_ROOT%{_datadir}/ghostscript/Resource/Font/PMW-Alpha
ln -s ../../../pmw/psfonts/PMW-Music.pfa $RPM_BUILD_ROOT%{_datadir}/ghostscript/Resource/Font/PMW-Music

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc doc/ChangeLog doc/spec.pdf contrib examples
%{_bindir}/*
%{_datadir}/pmw
%{_datadir}/ghostscript/Resource/Font/*
%{_mandir}/man1/*

%changelog
* Tue Dec 07 2004 Abel Cheung <deaddog@mandrake.org> 4.06-1mdk
- Adopt for Mandrakelinux

* Sun Nov 21 2004 Martin Tarenskeen <m.tarenskeen@zonnet.nl>
- initial RPM package release for pmw-4.06

